#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1402\r"; sleep 2;
echo -e "write (0,1) -1375\r"; sleep 2;
echo -e "write (0,2) -1600\r"; sleep 2;
echo -e "write (0,3) -1420\r"; sleep 2;
echo -e "write (0,4) -1414\r"; sleep 2;
echo -e "write (0,5) -1494\r"; sleep 2;
echo -e "write (0,6) -1621\r"; sleep 2;
echo -e "write (0,9) -1564\r"; sleep 2;
echo -e "write (0,10) -1463\r"; sleep 2;
echo -e "write (0,11) -1323\r"; sleep 2;
echo -e "write (0,12) -1390\r"; sleep 2;
echo -e "write (0,13) -1600\r"; sleep 2;
echo -e "write (0,14) -1474\r"; sleep 2;
echo -e "write (1,0) -1440\r"; sleep 2;
echo -e "write (1,1) -1404\r"; sleep 2;
echo -e "write (1,2) -1403\r"; sleep 2;
echo -e "write (1,3) -1572\r"; sleep 2;
echo -e "write (1,4) -1516\r"; sleep 2;
echo -e "write (1,5) -1302\r"; sleep 2;
echo -e "write (1,6) -1534\r"; sleep 2;
echo -e "write (1,9) -1301\r"; sleep 2;
echo -e "write (1,10) -1408\r"; sleep 2;
echo -e "write (1,11) -1263\r"; sleep 2;
echo -e "write (1,12) -1463\r"; sleep 2;
echo -e "write (1,13) -1315\r"; sleep 2;
echo -e "write (1,14) -1524\r"; sleep 2;
echo -e "write (2,0) -1488\r"; sleep 2;
echo -e "write (2,1) -1442\r"; sleep 2;
echo -e "write (2,2) -1401\r"; sleep 2;
echo -e "write (2,3) -1695\r"; sleep 2;
echo -e "write (2,4) -1546\r"; sleep 2;
echo -e "write (2,5) -1477\r"; sleep 2;
echo -e "write (2,6) -1393\r"; sleep 2;
echo -e "write (2,9) -1616\r"; sleep 2;
echo -e "write (2,10) -1557\r"; sleep 2;
echo -e "write (2,11) -1205\r"; sleep 2;
echo -e "write (2,12) -1372\r"; sleep 2;
echo -e "write (2,14) -1552\r"; sleep 2;
echo -e "write (3,0) -1389\r"; sleep 2;
echo -e "write (3,1) -1202\r"; sleep 2;
echo -e "write (3,2) -1300\r"; sleep 2;
echo -e "write (3,3) -1377\r"; sleep 2;
echo -e "write (3,4) -1344\r"; sleep 2;
echo -e "write (3,5) -1341\r"; sleep 2;
echo -e "write (3,6) -1230\r"; sleep 2;
echo -e "write (3,9) -1420\r"; sleep 2;
echo -e "write (3,10) -1527\r"; sleep 2;
echo -e "write (3,11) -1351\r"; sleep 2;
echo -e "write (3,12) -1609\r"; sleep 2;
echo -e "write (3,13) -1282\r"; sleep 2;
echo -e "write (3,14) -1409\r"; sleep 2;
echo -e "write (4,0) -1628\r"; sleep 2;
echo -e "write (4,1) -1392\r"; sleep 2;
echo -e "write (4,2) -1433\r"; sleep 2;
echo -e "write (4,3) -1607\r"; sleep 2;
echo -e "write (4,4) -1476\r"; sleep 2;
echo -e "write (4,5) -1309\r"; sleep 2;
echo -e "write (4,6) -1311\r"; sleep 2;
echo -e "write (4,9) -1595\r"; sleep 2;
echo -e "write (4,10) -1539\r"; sleep 2;
echo -e "write (4,11) -1383\r"; sleep 2;
echo -e "write (4,12) -1619\r"; sleep 2;
echo -e "write (4,13) -1415\r"; sleep 2;
echo -e "write (4,14) -1331\r"; sleep 2;
echo -e "write (5,0) -1458\r"; sleep 2;
echo -e "write (5,1) -1316\r"; sleep 2;
echo -e "write (5,2) -1296\r"; sleep 2;
echo -e "write (5,3) -1335\r"; sleep 2;
echo -e "write (5,4) -1519\r"; sleep 2;
echo -e "write (5,5) -1385\r"; sleep 2;
echo -e "write (5,6) -1385\r"; sleep 2;
echo -e "write (5,9) -1217\r"; sleep 2;
echo -e "write (5,10) -1520\r"; sleep 2;
echo -e "write (5,11) -1381\r"; sleep 2;
echo -e "write (5,12) -1360\r"; sleep 2;
echo -e "write (5,13) -1615\r"; sleep 2;
echo -e "write (5,14) -1558\r"; sleep 2;
echo -e "write (6,0) -1571\r"; sleep 2;
echo -e "write (6,1) -1680\r"; sleep 2;
echo -e "write (6,2) -1372\r"; sleep 2;
echo -e "write (6,3) -1416\r"; sleep 2;
echo -e "write (6,4) -1338\r"; sleep 2;
echo -e "write (6,5) -1242\r"; sleep 2;
echo -e "write (6,6) -1472\r"; sleep 2;
echo -e "write (6,9) -1531\r"; sleep 2;
echo -e "write (6,10) -1543\r"; sleep 2;
echo -e "write (6,11) -1488\r"; sleep 2;
echo -e "write (6,12) -1385\r"; sleep 2;
echo -e "write (6,13) -1497\r"; sleep 2;
echo -e "write (6,14) -1369\r"; sleep 2;
echo -e "write (7,0) -1326\r"; sleep 2;
echo -e "write (7,1) -1350\r"; sleep 2;
echo -e "write (7,2) -1145\r"; sleep 2;
echo -e "write (7,3) -1437\r"; sleep 2;
echo -e "write (7,4) -1600\r"; sleep 2;
echo -e "write (7,5) -1473\r"; sleep 2;
echo -e "write (7,6) -1577\r"; sleep 2;
echo -e "write (7,9) -1328\r"; sleep 2;
echo -e "write (7,10) -1468\r"; sleep 2;
echo -e "write (7,11) -1392\r"; sleep 2;
echo -e "write (7,12) -1187\r"; sleep 2;
echo -e "write (7,13) -1513\r"; sleep 2;
echo -e "write (7,14) -1449\r"; sleep 2;
echo -e "write (8,0) -1183\r"; sleep 2;
echo -e "write (8,1) -1454\r"; sleep 2;
echo -e "write (8,2) -1205\r"; sleep 2;
echo -e "write (8,3) -1390\r"; sleep 2;
echo -e "write (8,4) -1306\r"; sleep 2;
echo -e "write (8,5) -1356\r"; sleep 2;
echo -e "write (8,6) -1444\r"; sleep 2;
echo -e "write (8,9) -1464\r"; sleep 2;
echo -e "write (8,10) -1398\r"; sleep 2;
echo -e "write (8,11) -1600\r"; sleep 2;
echo -e "write (8,12) -1054\r"; sleep 2;
echo -e "write (8,13) -1267\r"; sleep 2;
echo -e "write (8,14) -1205\r"; sleep 2;
echo -e "write (9,0) -1183\r"; sleep 2;
echo -e "write (9,1) -1253\r"; sleep 2;
echo -e "write (9,2) -1186\r"; sleep 2;
echo -e "write (9,3) -1199\r"; sleep 2;
echo -e "write (9,4) -1262\r"; sleep 2;
echo -e "write (9,5) -1423\r"; sleep 2;
echo -e "write (9,6) -1336\r"; sleep 2;
echo -e "write (9,9) -1417\r"; sleep 2;
echo -e "write (9,10) -1145\r"; sleep 2;
echo -e "write (9,11) -1588\r"; sleep 2;
echo -e "write (9,12) -1492\r"; sleep 2;
echo -e "write (9,13) -1352\r"; sleep 2;
echo -e "write (9,14) -1362\r"; sleep 2;
echo -e "write (10,0) -1265\r"; sleep 2;
echo -e "write (10,1) -1357\r"; sleep 2;
echo -e "write (10,2) -1480\r"; sleep 2;
echo -e "write (10,3) -1600\r"; sleep 2;
echo -e "write (10,4) -1448\r"; sleep 2;
echo -e "write (10,5) -1483\r"; sleep 2;
echo -e "write (10,6) -1318\r"; sleep 2;
echo -e "write (10,9) -1543\r"; sleep 2;
echo -e "write (10,10) -1455\r"; sleep 2;
echo -e "write (10,11) -1401\r"; sleep 2;
echo -e "write (10,12) -1302\r"; sleep 2;
echo -e "write (10,13) -1566\r"; sleep 2;
echo -e "write (10,14) -1385\r"; sleep 2;
echo -e "write (11,0) -1372\r"; sleep 2;
echo -e "write (11,1) -1254\r"; sleep 2;
echo -e "write (11,2) -1448\r"; sleep 2;
echo -e "write (11,3) -1280\r"; sleep 2;
echo -e "write (11,4) -1156\r"; sleep 2;
echo -e "write (11,5) -1336\r"; sleep 2;
echo -e "write (11,6) -1418\r"; sleep 2;
echo -e "write (11,9) -1526\r"; sleep 2;
echo -e "write (11,10) -1270\r"; sleep 2;
echo -e "write (11,11) -1232\r"; sleep 2;
echo -e "write (11,12) -1202\r"; sleep 2;
echo -e "write (11,13) -1275\r"; sleep 2;
echo -e "write (11,14) -1292\r"; sleep 2;
echo -e "write (12,0) -1214\r"; sleep 2;
echo -e "write (12,1) -1224\r"; sleep 2;
echo -e "write (12,2) -1352\r"; sleep 2;
echo -e "write (12,3) -1285\r"; sleep 2;
echo -e "write (12,4) -1400\r"; sleep 2;
echo -e "write (12,5) -1291\r"; sleep 2;
echo -e "write (12,6) -1283\r"; sleep 2;
echo -e "write (12,9) -1261\r"; sleep 2;
echo -e "write (12,10) -1308\r"; sleep 2;
echo -e "write (12,11) -1193\r"; sleep 2;
echo -e "write (12,12) -1454\r"; sleep 2;
echo -e "write (12,13) -1643\r"; sleep 2;
echo -e "write (12,14) -1352\r"; sleep 2;
echo -e "write (13,0) -1456\r"; sleep 2;
echo -e "write (13,1) -1514\r"; sleep 2;
echo -e "write (13,2) -1509\r"; sleep 2;
echo -e "write (13,3) -1440\r"; sleep 2;
echo -e "write (13,4) -1568\r"; sleep 2;
echo -e "write (13,5) -1519\r"; sleep 2;
echo -e "write (13,6) -1457\r"; sleep 2;
echo -e "write (13,9) -1462\r"; sleep 2;
echo -e "write (13,10) -1482\r"; sleep 2;
echo -e "write (13,11) -1503\r"; sleep 2;
echo -e "write (13,12) -1435\r"; sleep 2;
echo -e "write (13,13) -1640\r"; sleep 2;
echo -e "write (13,14) -1611\r"; sleep 2;
echo -e "write (14,0) -1401\r"; sleep 2;
echo -e "write (14,1) -1349\r"; sleep 2;
echo -e "write (14,2) -1451\r"; sleep 2;
echo -e "write (14,3) -1511\r"; sleep 2;
echo -e "write (14,4) -1409\r"; sleep 2;
echo -e "write (14,5) -1346\r"; sleep 2;
echo -e "write (14,6) -1180\r"; sleep 2;
echo -e "write (14,9) -1326\r"; sleep 2;
echo -e "write (14,10) -1192\r"; sleep 2;
echo -e "write (14,11) -1262\r"; sleep 2;
echo -e "write (14,12) -1381\r"; sleep 2;
echo -e "write (14,13) -1451\r"; sleep 2;
echo -e "write (14,14) -1228\r"; sleep 2;
echo -e "write (15,0) -1369\r"; sleep 2;
echo -e "write (15,1) -1232\r"; sleep 2;
echo -e "write (15,2) -900\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7006 > ../log/fms_hvon_7006_$t.tex
echo Set new HV
cat ../log/fms_hvon_7006_$t.tex
